function cg=cgtp(cg)

% function cg=cgtp(cg)
% Identifies the type components
% present in all sequences
% and stores them in cg.tp
%
% Tbox: CG - generalized Chaos Game
%
% Initial version: Jonas Almeida, 12 Jan 2001
% Update 1 : Jonas Almeida, 12 Jan 2001
% included in NASC, Susana Vinga 5Abr02


% collect all sequences
a=cg.seq(1);
for i=1:length(cg.seq)
   a=strcat(a,cg.seq(i));
end
a=sort(char(a)');
for i=length(a):-1:2
   if a(i)==a(i-1);a(i)=[];end
end
cg.tp=a';
%disp('	')
%disp('----------------------------------------')
%disp(strcat('list of unique units	(',num2str(length(cg.tp)),')'))
%disp('----------------------------------------')
%disp(cg.tp)
%disp('----------------------------------------')
