function v=isquareform(m)

%ISQUAREFORM inverse of squareform.m extracts superior diagonal
% function v=isquareform(m)
% Transforms a symmetric matrix into the vector or the superior diagonal, from (1,2)->(1,j)->(2,1)->...
% v is the vector to use in linkage.m (statistical toolbox)
% Inverse of function squareform
% Susana 7/nov/01
% $Rev. 16/nov/01
% Alternative version: created by Francisco Pinto, frpinto@itqb.unl.pt, Jan.2003
% Included in NASC: Susana Vinga, svinga@itqb.unl.pt, 2003-02-24

m=m';   %now take lower diag
b=tril(ones(size(m)),-1);
v=m(find(b))';